11/14/22: Today we went over the design of the project and refined some portions of the project. These included redundancies, parts that became unecessary due to design, and stretch goals. We plan to learn more about FastAPI before moving on.

11/17/22: Today we went over the fastapi endpoints and SQL tables. Waylen fixed the problem with the get and delete features for games. Latwe we tackled authentication, however we only got through half of it before calling it a day.

11/23/22: Today was a calm day. With the help of the team, I was able to code out the login modal and get it working.

11/28/22: It has been a while since I have last journaled. This project is proving to be a lot more difficult than I had anticipated. Today, with the help of my team, I was able to get the signup modal to work. Now it does not work 100%. We can sign in successfully, however, not all errors are working correctly. Will address this tomorrow.

11/29/22: Today was the first serious day of building out the front end in an aesthetic way. I got the nav bar working and not looking horrible. It still looks pretty bad but at least it works. Next thing to work on is modals for login/signup.

11/30/22: Today I made some more progress on building out the front end. The Nav bar isnt screwed up anymore and the login/logout pages dont look half bad (but still far from pleasing). I also incorporated some cards on the main page.

12/1/22: Today I made great progress on the nav bar and home page design. Kinking out some bugs.

12/5/22: Significant progress was made on the front end. The login/signup modals look much cleaner as unecessary space was taken out. The game play page was improved as well. The project is at a point where I would be comfortable showing it to other people. Many improvements can be made.

12/6/22: Today was a slow day. Progress was made on the front end and others made progress on the users profile page. The project is wrapping up nicely.

12/7/22: Progress was made on refining the home page and nav bar. Spacing is better and overall the sight is looking less choppy due to CSS slopiness. We also got our project deployed! a few bugs were found however its for the most part a functional website.

12/8/22: Now that our project has been deployed, we decided to spend more time working on refining the css and the bugs that happened during deployment. The music section has been added to the nav bar and the nav bar is now dynamic. As in, if you make the browser window narrower, the nav bar will display itself dynamically.
